package com.qmth.teachcloud.report.business.bean.result;

import com.qmth.teachcloud.common.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: GradeDistributeCurrentAssignedResult
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/23
 */
public class GradeDistributeCurrentAssignedResult implements Serializable {

    @ApiModelProperty(value = "分数")
    @ExcelProperty(name = "分数段", width = 30, index = 1)
    private String scores;

    @ExcelProperty(name = "人数", width = 30, index = 2)
    @ApiModelProperty(value = "应届实考人数")
    private Integer currentRealityCount;

    @ApiModelProperty(value = "应届比例")
    private Double currentRate;

    @ExcelProperty(name = "占比", width = 30, index = 3)
    @ApiModelProperty(value = "应届比例")
    private String currentRateStr;

    public GradeDistributeCurrentAssignedResult() {

    }

    public GradeDistributeCurrentAssignedResult(String scores, Double currentRate, Integer currentRealityCount) {
        this.scores = scores;
        this.currentRealityCount = currentRealityCount;
        this.currentRate = currentRate;
    }

    public String getCurrentRateStr() {
        return currentRate + "%";
    }

    public void setCurrentRateStr(String currentRateStr) {
        this.currentRateStr = currentRateStr;
    }

    public String getScores() {
        return scores;
    }

    public void setScores(String scores) {
        this.scores = scores;
    }

    public Integer getCurrentRealityCount() {
        return currentRealityCount;
    }

    public void setCurrentRealityCount(Integer currentRealityCount) {
        this.currentRealityCount = currentRealityCount;
    }

    public Double getCurrentRate() {
        return currentRate;
    }

    public void setCurrentRate(Double currentRate) {
        this.currentRate = currentRate;
    }
}
